Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005BasicBehaviorDirectedScanForObstacles Class Reference

The basic behavior "directed-scan-for-obstacles". More...

`#include <GT2005HeadControlBasicBehaviors.h>`

Inheritance diagram for GT2005BasicBehaviorDirectedScanForObstacles:

[legend]
Collaboration diagram for GT2005BasicBehaviorDirectedScanForObstacles:

[legend]
List of all members.

## Public Member Functions
| GT2005BasicBehaviorDirectedScanForObstacles (Xabsl2ErrorHandler &errorHandler, HeadControlInterfaces &interfaces, GT2005HeadControl &headControl, GT2005HeadPathPlanner &headPathPlanner, bool &lastScanWasLeft, CameraInfo &cameraInfo)
| Constructor.
virtual void | execute ()
| Executes the basic behavior.
## Private Attributes
double | leftOrRight
double | lastPan

## Detailed Description

The basic behavior "directed-scan-for-obstacles".

Definition at line 135 of file GT2005HeadControlBasicBehaviors.h.

## Constructor & Destructor Documentation

GT2005BasicBehaviorDirectedScanForObstacles::GT2005BasicBehaviorDirectedScanForObstacles | ( | Xabsl2ErrorHandler & | errorHandler,
|  | HeadControlInterfaces & | interfaces,
|  | GT2005HeadControl & | headControl,
|  | GT2005HeadPathPlanner & | headPathPlanner,
|  | bool & | lastScanWasLeft,
|  | CameraInfo & | cameraInfo
| ) | `[inline]`

| Constructor. Definition at line 139 of file GT2005HeadControlBasicBehaviors.h. References leftOrRight.

## Member Function Documentation

void GT2005BasicBehaviorDirectedScanForObstacles::execute | ( |  | ) | `[virtual]`

| Executes the basic behavior. Implements GT2005HeadControlBasicBehavior. Definition at line 344 of file GT2005HeadControlBasicBehaviors.cpp. References Geometry::angleTo(), DEBUG_DRAWING_FINISHED, ObstaclesModel::getDistanceInDirection(), GT2005HeadPathPlanner::lastHeadPan, lastPan, leftOrRight, Range< T >::limit(), LINE, MODIFY, Pose2D::rotation, GT2005HeadControl::setJoints(), GT2005HeadControl::simpleLookAtPointOnField(), Pose2D::translation, WalkRequest::walkParams, MotionRequest::walkRequest, Vector2< double >::x, and Vector2< double >::y.

Here is the call graph for this function:

## Member Data Documentation

double GT2005BasicBehaviorDirectedScanForObstacles::leftOrRight`[private]`

| Definition at line 146 of file GT2005HeadControlBasicBehaviors.h. Referenced by execute(), and GT2005BasicBehaviorDirectedScanForObstacles().

double GT2005BasicBehaviorDirectedScanForObstacles::lastPan`[private]`

| Definition at line 147 of file GT2005HeadControlBasicBehaviors.h. Referenced by execute().

The documentation for this class was generated from the following files:

- Modules/HeadControl/GT2005HeadControl/GT2005HeadControlBasicBehaviors.h
- Modules/HeadControl/GT2005HeadControl/GT2005HeadControlBasicBehaviors.cpp